use crate::config::Config;
use crate::error::GeneralError;
use crate::openproject::client::Client;
use crate::openproject::work::WorkPackageCollectionClient;

pub async fn planning_load(config: Config) -> Result<(), GeneralError> {
    let open_project_client = Client::from_config(&config.openproject);
    let work_packages = open_project_client.work_package().await?;

    for w in work_packages {
        println!("{:?}", w);
    }

    Ok(())
}
